### Class

# Meta OrientationManager

#### Description [src]

    final class Meta.OrientationManager : GObject.Object
    {
      /* No available fields */
    }

A screen orientation manager

`MetaOrientationManager` is a final class which contains methods to read the current screen orientation, as well as a signal that is triggered whenever a screen changes its orientation.

#### Ancestors

- GObject

#### Instance methods

###### meta_orientation_manager_get_orientation

No description available.

###### meta_orientation_manager_has_accelerometer

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.OrientationManager:has-accelerometer

No description available.

#### Signals

###### Meta.OrientationManager::orientation-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaOrientationManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.